Bug 1674581 - LuxRender: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: LuxRender: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:25 UTC by Fedora Release Engineering
Modified: 2019-04-27 07:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 07:39:39 UTC
releng: needinfo? (kwizart)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:25 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:25 UTC, Fedora Release Engineering
no flags Details
state.log (673 bytes, text/plain)
2019-02-11 16:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:25:39 UTC
LuxRender failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32360236


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix LuxRender at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
LuxRender will be orphaned. Before branching of Fedora 31,
LuxRender will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:25:42 UTC
Created attachment 1529128 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:25:43 UTC
Created attachment 1529129 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:25:44 UTC
Created attachment 1529130 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:36:36 UTC
The cmake error has been altered to only be a warning. A rebuild of LuxRender fails with a different error:

-- Could NOT find Boost
-- Could NOT find Boost
BUILDSTDERR: CMake Warning (dev) at /usr/share/cmake/Modules/FindOpenGL.cmake:270 (message):
BUILDSTDERR:   Policy CMP0072 is not set: FindOpenGL prefers GLVND by default when
BUILDSTDERR:   available.  Run "cmake --help-policy CMP0072" for policy details.  Use the
BUILDSTDERR:   cmake_policy command to set the policy and suppress this warning.
BUILDSTDERR:   FindOpenGL found both a legacy GL library:
BUILDSTDERR:     OPENGL_gl_LIBRARY: /usr/lib64/libGL.so
BUILDSTDERR:   and GLVND libraries for OpenGL and GLX:
BUILDSTDERR:     OPENGL_opengl_LIBRARY: /usr/lib64/libOpenGL.so
BUILDSTDERR:     OPENGL_glx_LIBRARY: /usr/lib64/libGLX.so
BUILDSTDERR:   OpenGL_GL_PREFERENCE has not been set to "GLVND" or "LEGACY", so for
BUILDSTDERR:   compatibility with CMake 3.10 and below the legacy GL library will be used.
BUILDSTDERR: Call Stack (most recent call first):
BUILDSTDERR:   cmake/Dependencies.cmake:86 (find_package)
BUILDSTDERR:   CMakeLists.txt:76 (include)
BUILDSTDERR: This warning is for project developers.  Use -Wno-dev to suppress it.
-- Found OpenGL: /usr/lib64/libOpenGL.so   
-- Found OPENCL: /usr/lib64/libOpenCL.so  
-- Found OpenMP_C: -fopenmp (found version "4.5") 
-- Found OpenMP_CXX: -fopenmp (found version "4.5") 
-- Found OpenMP: TRUE (found version "4.5")  
-- OpenMP found - compiling with
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.6.0") 
-- Checking for module 'gtk+-3.0'
--   Found gtk+-3.0, version 3.24.5
-- Found BISON: /usr/bin/bison (found version "3.0.5") 
-- Found FLEX: /usr/bin/flex (found version "2.6.4") 
BUILDSTDERR: CMake Error at CMakeLists.txt:79 (MESSAGE):
BUILDSTDERR:   --> Could not locate required Boost files - Please check

See https://koji.fedoraproject.org/koji/taskinfo?taskID=32746018

Comment 5 Fedora Release Engineering 2019-04-26 23:24:32 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Luya Tshimbalanga 2019-04-27 07:39:39 UTC
luxcorerender obsoleted LuxRender starting from Fedora 30 therefore the issue will not get fixed.


Note You need to log in before you can comment on or make changes to this bug.